﻿.AppPreferences {
    position: fixed;
    top: 10px;
    right: 10px;
    z-index: 1;
}

    .AppPreferences .app-preferences-header {
        display: flex;
        cursor: pointer;
    }

        .AppPreferences .app-preferences-header .app-preferences-icon {
            color: var(--icon-color);
        }

        .AppPreferences .app-preferences-header .app-preferences-icon.settings {
            font-size: 20px;
        }

    .AppPreferences .app-preferences-menu {
        display: none;
        margin: 16px;
        margin-right: 0;
        padding: 8px 16px;
        background-color: var(--surface-color);
        box-shadow: var(--surface-box-shadow);
        position: absolute;
        height: auto;
        right: 0;
        width: 300px;
        top: 12px;
        flex-direction: column;
        align-items: center;
        font-family: var(--text-font-family);
        z-index: 2;
    }

        .AppPreferences .app-preferences-menu[active] {
            display: flex;
        }

        .AppPreferences .app-preferences-menu .app-preferences-menu-item {
            width: 100%;
            display: grid;
            grid-template-columns: auto 1fr auto;
            border-top: 1px solid var(--surface-outline-color);
            padding: 8px 0px;
            align-items: center;
        }

            .AppPreferences .app-preferences-menu .app-preferences-menu-item:first-child {
                border: 0;
            }

            .AppPreferences .app-preferences-menu .app-preferences-menu-item i {
                color: var(--icon-color) !important;
                font-size: 20px;
                margin-right: 15px;
                opacity: 0.7;
            }

                .AppPreferences .app-preferences-menu .app-preferences-menu-item i ~ span {
                    justify-self: flex-start;
                    margin-bottom: 0;
                    text-align: left;
                    color: var(--icon-color);
                    line-height: 15px;
                    font-family: var(--text-font-family);
                    font-size: 13px;
                    font-weight: normal;
                }

            .AppPreferences .app-preferences-menu .app-preferences-menu-item input[type='checkbox'] {
                height: 14px;
                width: 14px;
                justify-self: flex-end;
                position: initial;
                opacity: 1;
                margin: 0;
                z-index: 1;
                cursor: pointer;
            }

                .AppPreferences .app-preferences-menu .app-preferences-menu-item input[type='checkbox'] ~ span {
                    display: none;
                }
